
Redmine - Defect #35606

Locked users should not be displayed in the members box of the project overview page

2021-07-26 11:37 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 4.2.2   

Resolution: Fixed Affected version: 4.2.1

Description

Before Redmine 4.2.0, members box of the project overview page did not display locked users, but it does in Redmine 4.2.0.

I think it is a bug due to #33174. In the change, the method to list members has been changed from Project#members to

Project#memberships to get not only users but also groups. However, Project#members only returns active users but

Project#memberships does not check the status of users/groups.

  has_many :memberships, :class_name => 'Member', :inverse_of => :project

  # Memberships of active users only

  has_many :members,

           lambda {joins(:principal).where(:users => {:type => 'User', :status => Principal::

STATUS_ACTIVE})}

 I think Project#principals_by_role that prepares values for the members box by using Project#memberships should exclude locked

users.
Associated revisions

Revision 21090 - 2021-07-27 06:55 - Go MAEDA

Locked users should not be displayed in the members box of the project overview page (#35606).

Patch by Mizuki ISHIKAWA.

Revision 21091 - 2021-07-27 06:57 - Go MAEDA

Merged r21090 from trunk to 4.2-stable (#35606).

Revision 21099 - 2021-07-28 07:40 - Go MAEDA

Remove unnecessary comments (#35606).

Revision 21100 - 2021-07-28 07:41 - Go MAEDA

Merged r21099 from trunk to 4.2-stable (#35606).

History

#1 - 2021-07-27 03:30 - Go MAEDA

- Target version set to 4.2.2

- Affected version set to 4.2.1

Although a patch is not yet ready, it should be fixed as soon as possible. Setting the target version to 4.2.2.

#2 - 2021-07-27 04:54 - Mizuki ISHIKAWA

- File fix-35606.patch added
https://www.redmine.org/issues/33174


Fix to show only active users or groups.

#3 - 2021-07-27 06:57 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.
